org.jbpm.casemgmt.impl.command

## Class AddDynamicTaskToStageCommand

- java.lang.Object
- - org.jbpm.casemgmt.impl.command.CaseCommand<Void>
  - - org.jbpm.casemgmt.impl.command.AddDynamicTaskToStageCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<Void>, org.kie.api.command.ExecutableCommand<Void>

      public class AddDynamicTaskToStageCommand
      extends CaseCommand<Void>

  Adds task to given stage within selected ad hoc process instance with given parameters
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddDynamicTaskToStageCommand(org.kie.internal.identity.IdentityProvider identityProvider, String caseId, String nodeType, Long processInstanceId, String stage, Map<String,Object> parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context context)`

    - ### Methods inherited from class org.jbpm.casemgmt.impl.command.CaseCommand

      `getCaseEventSupport, getCaseFile, getIdentityProvider, getRuntimeManager, triggerRules`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddDynamicTaskToStageCommand

          public AddDynamicTaskToStageCommand(org.kie.internal.identity.IdentityProvider identityProvider,
                                              String caseId,
                                              String nodeType,
                                              Long processInstanceId,
                                              String stage,
                                              Map<String,Object> parameters)

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.api.runtime.Context context)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.